Bug 863138 - rhevm-cli disks/nics examples
rhevm-cli disks/nics examples
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 10:11 EDT by Brian J. Atkisson
Modified: 2014-03-25 02:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.5 Build Filter: null Build Name: Build Date: 03-08-2012 11:59:56
Last Closed: 2012-10-11 02:23:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Atkisson 2012-10-04 10:11:45 EDT
Description of problem:

Please provide working examples of adding NICs and disks to a vm. https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Virtualization/3.1-Beta/html-single/CLI_Guide/index.html#Create_a_Sub-Resource_create_--RESOURCE-identifier gives some basic syntax, but it doesn't actually work:

[RHEVM shell (connected)]# create nic vm  --vm-identifier vm_name --network-name ldap --interface eth0 --mac 00:00:01:1a:2d:3a 
error: syntax error

Not sure what I'm doing wrong, but working examples would be very helpful.


Version-Release number of selected component (if applicable):
rhevm-cli-3.1.0.7-1.el6ev.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Macpherson 2012-10-11 02:23:47 EDT
Hi Brian,

I had a look at the issue and there are two things to note:

1. The "create" command was recently changed to "add". Likewise, I've changed the docs to use "add". Also

2. If you look at Example 5.23...

> Example 5.23. Creating a new network interface on a virtual machine
> 
> [RHEVM shell (connected)]# add nic --vm-identifier MyVM1 --name eth0 --network MyNetwork

... you can see the syntax used is different to yours (replaced "create" with "add" as per note 1 above)...

> [RHEVM shell (connected)]# add nic vm  --vm-identifier vm_name (etc, etc)

Note that the command syntax is "add nic" not "add nic vm". To target a vm, you use the "--vm-identifier" parameter and replace the vm_name with your VM.

I tested out the correct syntax and it seems to work for me.

I'm closing this as NOTABUG, but if anyone feels it should be reopened please feel free to do so.

Note You need to log in before you can comment on or make changes to this bug.